For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/webhook/post-api-webhook-v1.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.

Create webhook

POST
/api/webhook/v1/
1import { Reloop } from "reloop-email";
2
3const reloop = new Reloop({ apiKey: "rl_123456789" });
4
5const { webhook, webhookError } = await reloop.webhook.create({
6 description: "Production webhook",
7 url: "https://example.com/webhooks/reloop",
8 events: ["domain.created", "domain.deleted"],
9});
10if (webhookError) throw webhookError;
1{
2 "id": "wh_123456789",
3 "name": "Payments Webhook",
4 "url": "https://example.com/webhooks/reloop",
5 "secret": "***masked***",
6 "status": "active",
7 "customHeaders": {
8 "x-source": "reloop"
9 },
10 "rateLimitEnabled": true,
11 "maxRequestsPerMinute": 60,
12 "maxRetries": 3,
13 "retryBackoffMultiplier": 2,
14 "filteringOptions": null,
15 "lastTriggeredAt": "2026-03-29T10:00:00Z",
16 "successCount": 10,
17 "failureCount": 1,
18 "consecutiveFailures": 0,
19 "createdAt": "2026-03-29T10:00:00Z",
20 "updatedAt": "2026-03-29T10:00:00Z"
21}

Body Parameters

descriptionstringRequired

Webhook description

  • Minimum length: 1
  • Maximum length: 255
urlstringRequired

Webhook URL

eventsstring[]Required

Array of event IDs to subscribe to

Example: ["value1", "value2"]

Was this page helpful?